Department of Computer Engineering Faculty of Engineering Kasetsart University

Group : BikeBineBoftBelle

Project Name : Smart Bike Park

Developer :
- 6210503497 Kritsanaphong Kittithammo
- 6210503535 Chunya Tangoen
- 6210503748 Phakinee Sirisukpoca
- 6210503896 Apichaya Jarutikorn

รายละเอียด:
ที่จอดจักรยานอัตโนมัติ โดยมีระบบความปลอดภัยต่างๆซึ่งเมื่อนำจักรยานไปจอดจะมีการให้ใส่รหัสผ่าน นอกจากนี้ก่อนเข้าไปจอดจะสามารถเห็นตำแหน่งที่สามารถนำจักรยานเข้าไปจอดได้โดยจะสามารถดูได้ผ่านที่หน้าเว็บ และที่จอดรถมีระบบล็อคที่สามารถแจ้งเตือนการขโมยได้โดยจะมีการส่งเสียงเมื่อมีการขโมย

อุปกรณ์:
- ESP32 (NodeMCU-32S) x4 
- LED x2
- Switch x9
- OLED x1
- LDR x2
- Survo x2
- Buzzer x1

Software:
- Arduino IDE

Library ที่ใช้:
- Arduino.h
- ESP32Servo.h
- esp_now.h
- WiFi.h
- Debounce.h
- Adafruit_GFX.h
- Adafruit_SSD1306.h

การทำงานของแต่ละ Board:
- Board 1: ควบคุมการแสดงผลบนหน้าเว็บ, ติดต่อกับ Board 3 โดยการรับค่าสถานะของ LDR
- Board 2: ควบคุมการทำงาน Survo และ Buzzer, มี Switch สำหรับการดีบัก , ติดต่อกับ Board 3 โดยการรับค่าสถานะของ LDR และติดต่อกับ Board 4 โดยการรับค่าสถานะการใส่รหัสผ่าน
- Board 3: ควบคุมการทำงาน LED และ LDR, ติดต่อกับ Board 1 และ Board 2 โดยการส่งค่าสถานะของ LDR
- Board 4: ควบคุมการทำงาน Switch และ OLED, ติดต่อกับ Board 2 โดยการส่งค่าสถานะการใส่รหัสผ่าน

Presentation Video:
https://youtu.be/FszauWS_494

ไฟล์ที่เกี่ยวข้อง:

Source Code:
- Board 1: SERVER_Board
- Board 2: SERVO_BUZZER_Board
- Board 3: LED_LDR_Board
- Board 4: BUTTON_OLED_Board

Project Image:
- Member: Member with model.jpg, Member with web.jpeg
- Model: Model_inside.HEIC, Model_outside.HEIC
- Web: State_Both Empty.png, State_Not Empty.png

Schematic:
- BUTTON_OLED Board.png
- BUZZER_SERVO Board.png
- LED_LDR Board.png
- SERVER Board.png

